﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;

namespace GroupByRowCheckBox_CS
{
    public partial class Form1 : Form
    {
        #region Private Members
        DataTable dt;
        #endregion // Private Members

        #region Constructor
        public Form1()
        {
            InitializeComponent();
            dt = DummyDataCreator.GetData();
            foreach (DataRow row in dt.Rows)
            {
                row["Int32 1"] = DummyDataCreator.RandomInt(1, 3);
                row["Int32 2"] = DummyDataCreator.RandomInt(1, 3);
            }
            dt.AcceptChanges();

            this.ultraGrid1.SetDataBinding(dt, null);
            this.ultraGrid1.CreationFilter = new GroupByRowCheckBoxCreationFilter(this.ultraGrid1, "Boolean 1");
        }
        #endregion // Constructor

        #region ultraGrid1_InitializeLayout
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            layout.ViewStyleBand = ViewStyleBand.OutlookGroupBy;
            band.SortedColumns.Add("Int32 1", false, true);
            band.SortedColumns.Add("Int32 2", false, true);
        }

        #endregion // ultraGrid1_InitializeLayout                    
    }
}
